#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)dataless_cmm.pl 1.1 04/09/23 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package DATALESS_CMM;

use strict;
use variables;

#------------------------------------------------------------------------------
#
# Configure CMM 
#
#------------------------------------------------------------------------------
sub cmm_configure {

  my ($node_id) = @_;
  
  my $node_ip   = COMMON::get_external_ip($node_id);
    
  my $local_nodename = "$WORKING_DIR/nodename" ;
  my $remote_nodename = "/etc/nodename";
  #
  # create nodename file
  #
  open(NODENAME, ">$local_nodename") ||
    COMMON::error("Unable to create $local_nodename");
  
  if ($USE_CGTP) {
    my $node_name_cgtp_template = COMMON::build_node_name($node_id, "CGTP") ;
    print NODENAME "${node_name_cgtp_template}\n";
  } else {
    my $node_name_nic0_template = COMMON::build_node_name($node_id, "NIC0") ;
    print NODENAME "${node_name_nic0_template}\n";
  }
  close(NODENAME);
  
  #
  # remote copy nodename
  #
  COMMON::put_file($node_ip, "$local_nodename", "$remote_nodename");
}

#------------------------------------------------------------------------------
#
# installation and configuration of CMM
#
#------------------------------------------------------------------------------

sub dataless_cmm {

  ($NODE_ID) = @_;

  COMMON::print_stage_node("Cluster Membership Monitor (CMM) installation for dataless") ;
  COMPONENT::install_dataless_component($NODE_ID, "CMM", "");
  
  COMMON::print_action("CMM configuration") ;
  cmm_configure($NODE_ID);

}

#------------------------------------------------------------------------------
#
# recovery after failure
#
#------------------------------------------------------------------------------

sub recovery_dataless_cmm {

  ($NODE_ID) = @_;

  COMMON::print_recovery_node("Cluster Membership Monitor (CMM) clean-up for dataless") ;
  COMPONENT::remove_dataless_component($NODE_ID, "CMM");
}

{
}
