#!/usr/bin/perl
# -----------------------------------------------------------------------------
#  ident "@(#)dataless_fsconf.pl 1.1 04/09/23 SMI"  
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------
# Fixed Bugs:  4887181
# -----------------------------------------------------------------------------

package DATALESS_FSCONF;

use strict;
use variables;

#------------------------------------------------------------------------------
#
# create FS configuration file for dataless
#
#------------------------------------------------------------------------------

sub create_fsconf {

  my $tmpfile =     "$WORKING_DIR/fsconf.tmp";
  my $node;

  my $node_idx = COMMON::getnode($NODE_ID);

  COMMON::print_action("Creating $FSCONF_FILE");
  open(FSCONF, ">$tmpfile") ||
    COMMON::error("Can not create $tmpfile");

  #
  # common part
  #

  $node = COMMON::getnode($NODE_ID);

  print FSCONF "Node.Type=Dataless\n";
  print FSCONF "Node.NodeId=$NODE_ID\n";
  print FSCONF "Node.DomainId=$CLUSTER\n";

  if ($USE_CGTP) {
    print FSCONF "Node.UseCGTP=True\n";
    print FSCONF "Node.Nic0=$NODE_LIST[$node]{nic0}\n";
    print FSCONF "Node.Nic1=$NODE_LIST[$node]{nic1}\n";
    print FSCONF "Node.NicCgtp=$CGTP_INTERFACE\n";
  } else {
    print FSCONF "Node.UseCGTP=False\n";
    print FSCONF "Node.Nic0=$NODE_LIST[$node]{nic0}\n";
  }

  #
  # CLUSTER part
  #

  print FSCONF "Cluster.Master.Id=$MASTER_ID\n";

  # RNFS
  print FSCONF "Node.RNFS.Installed=False\n";
      
  #
  # CMM part
  #

  print FSCONF "CMM.isEligible=False\n";
  print FSCONF "CMM.MiniConfig.Dir=$FSCONF_DIR\n";
  print FSCONF "CMM.MiniConfig.File=target.conf\n";

  if (! $MASTER_LOSS_DETECTION) {
    print FSCONF "CMM.MasterLoss.Detection=False\n";
  }

  # WDT part
  if ($USE_WDT) {
    print FSCONF "WATCHDOG.NhasWatchdog=True\n";
  }

  close(FSCONF);

  #
  # copy the configuration file on the MEN
  #

  my $node_ip = COMMON::get_external_ip($NODE_ID);
  COMMON::put_file($node_ip, "$tmpfile", $FSCONF_FILE);
}


#------------------------------------------------------------------------------
#
# configure fs for a MEN
#
#------------------------------------------------------------------------------

sub dataless_fsconf {

  ($NODE_ID) = @_;
    
  COMMON::print_stage_node("Foundation Services configuration for dataless") ;
  
  create_fsconf();
}

{
}
