#!/usr/bin/perl
# -----------------------------------------------------------------------------
#   ident "@(#)wait_boot.pl 1.6 04/09/23 SMI"
# -----------------------------------------------------------------------------
#
#  Copyright 2001-2004 Sun Microsystems, Inc. All rights reserved.
#
# -----------------------------------------------------------------------------

package WAIT_BOOT;

use strict;
use FileHandle;
use variables;

require "$ENV{NHINSTALL_LIB}/tools/lib/common.pl";
require "$ENV{NHINSTALL_LIB}/tools/lib/conf.pl";


#------------------------------------------------------------------------------
#
# wait for the installation of one node
#
#------------------------------------------------------------------------------


sub node_boot_wait {
  
  ($NODE_ID) = @_;
  
  my $node_ip = COMMON::get_external_ip($NODE_ID);

  COMMON::print_stage_node("Waiting for completion of Solaris installation") ;
  
  COMMON::print_action("waiting for network interface to be reachable");
  
  autoflush STDOUT 1;
  print "waiting";
  for (;;) {
    print ".";
    my $result = qx/ping $node_ip/;
    if ($result =~ /alive/) {
      last ;
    }
    sleep 10 ;
  }
  print "done.\n";
  autoflush STDOUT 0;
  
  COMMON::print_action("waiting for Solaris daemons to be ready");
  
  autoflush STDOUT 1;
  print "waiting";
  for (;;) {
    print ".";
    my @result = qx/rsh -n $node_ip \"pgrep mountd\" 2>&1/;
    if ($result[0] =~ /^[0-9]+$/) {
      last ;
    }
    sleep 10 ;
  }     
  print "done.\n";
  autoflush STDOUT 0;
}

{
}
